package com.example.survey.entity;

import lombok.*;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author Pope
 * 调查人员表
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "investigator")
public class Investigator {

    /**
     * 身份证号
     */

    private String idNumber;

    /**
     * 姓名
     */
    private String name;

    /**
     * 电话号码
     */
    @Indexed(unique = true)
    private String phoneNumber;

}
