package com.example.survey.entity.inner;

import lombok.*;

import java.util.Date;

/**
 * @author Pope
 * 操作信息
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class OperationInformation {

    public static final String SUBMIT = "提交";

    /**
     * 修改操作
     */
    public static final String CHANGE = "修改";

    /**
     * 删除操作
     */
    public static final String DELETE = "删除";

    /**
     * 恢复记录
     */
    public static final String RECOVERY = "恢复";

    /**
     *
     */
    public static final String REVIEW = "审核";

    /**
     * 操作
     */
    private String type;

    /**
     * 时间
     */
    private Date time;

    /**
     * 操作者id
     */
    private String investigatorPhone;

    /**
     * 版本信息
     */
    private String version;

    /**
     * 备注
     */
    private String msg;

    /**
     * 操作结果
     */
    private String result;
}
