package com.example.survey.controller;

import com.example.survey.entity.Investigator;
import com.example.survey.service.InvestigatorService;
import com.example.survey.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Pope
 */
@RestController
@RequestMapping("/investigator")
public class InvestigatorController {

    @Autowired
    private InvestigatorService investigatorService;

    @PostMapping("/investigator")
    public ResultVo addInvestigator(@RequestBody Investigator investigator){
        ResultVo resultVo = new ResultVo();

        boolean result = investigatorService.addInvestigator(investigator);
        if(result){
            resultVo.setCode(ResultVo.SUCCESS);
            resultVo.setMsg("创建成功");
        }else {
            resultVo.setCode(ResultVo.FAILED);
            resultVo.setMsg("创建失败");
        }
        resultVo.setData(result);

        return resultVo;
    }

}
