package com.example.survey.controller;

import com.example.survey.service.RoleService;
import com.example.survey.vo.RoleVo;
import com.example.survey.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Pope
 */
@RestController
@RequestMapping("/role")
public class RoleController {

    @Autowired
    private RoleService roleService;

    @PostMapping("/role")
    public ResultVo addAuth(@RequestBody RoleVo roleVo){
        ResultVo resultVo = new ResultVo();

        boolean result = roleService.addRole(roleVo);
        if (result) {
            resultVo.setCode(ResultVo.SUCCESS);
            resultVo.setMsg("创建成功");
        } else {
            resultVo.setCode(ResultVo.FAILED);
            resultVo.setMsg("创建失败");
        }
        resultVo.setData(result);
        return resultVo;
    }


}
