package com.example.survey.dao;

import com.example.survey.entity.Investigator;

/**
 * @author Pope
 */
public interface InvestigatorDao {

    /**
     * 根据流调人员电话判断是否存在
     * @param phoneNumber 流调人员电话
     * @return 是否存在该电话
     */
    boolean existInvestigator(String phoneNumber);

    /**
     * 插入调查人员
     * @param investigator 调查人员
     * @return 是否插入成功
     */
    boolean insertInvestigator(Investigator investigator);

    /**
     * 根据流调人员电话号码查询流调人员
     * @param phoneNumber 流调人员电话号码
     * @return 对应的流调人员
     */
    Investigator selectInvestigator(String phoneNumber);

}
