package com.example.survey.dao;

import com.example.survey.entity.User;

/**
 * @author Pope
 */
public interface UserDao {


    /**
     * 根据用户名密码查询用户
     *
     * @param username 用户名
     * @param password 密码
     * @return 对应用户
     */
    User selectUser(String username, String password);

    /**
     * 插入用户
     *
     * @param user 用户
     * @return 是否插入成功
     */
    boolean insertUser(User user);
}
