package com.example.survey.dao.impl;

import com.example.survey.dao.UserDao;
import com.example.survey.entity.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;


/**
 * @author Pope
 */
@Service
public class UserDaoImpl implements UserDao {
    @Autowired
    private MongoTemplate mongoTemplate;

    @Override
    public User selectUser(String username, String password) {
        Query query = new Query(Criteria.where("phoneNumber").is(username).and("password").is(password));
        return mongoTemplate.findOne(query,User.class);
    }

    @Override
    public boolean insertUser(User user) {
        try {
            mongoTemplate.save(user);
        }catch (Exception e){
            return false;
        }
        return true;
    }
}
