package com.example.survey.entity.inner;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.Date;
import java.util.List;

/**
 * @author Pope
 * 居旅史
 * TODO 完善类
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class LiveAndTravelHistory {

    /**
     * 居住史或者旅行史
     */
    private List<String> type;

    /**
     * 起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date beginTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 地点
     */
    private String location;

    /**
     * 事件
     */
    private String detail;
}
